# MERGED SCHEMA FILE TO BE USED IN MIGRATION FOR SIMS 4.0/NMS 4.x TO
# iMS 5.0
# $Id: merged.oc.conf,v 1.8 2002/09/05 23:48:26 anilsri Exp $

# From SIMS
objectclass IMCalendarUser
        requires
                uid,
                userPassword,
                IMcalendarHost,
                imCalendarUserVersion
        allows
                IMcalendarName

# From NMS
objectClass groupOfMailEnhancedUniqueNames
        oid 2.16.840.1.113730.3.2.5
        requires
                objectClass,
                cn
        allows
                businessCategory,
                description,
                mailEnhancedUniqueMember,
                o,
                ou,
                owner,
                seeAlso

# From SIMS
objectclass inetAdministrator
        allows
                inetAdministeredServices

# From SIMS, iMS
objectclass inetDomain
  allows
     dnsDomainName,
     inetAuthorizedServices,
     inetDomainBaseDN,
     inetDomainStatus,
     inetLabeledURI,
     inetTreeStyle,
     owner

# From iMS
objectclass inetDomainAuthInfo
  allows
	inetDomainSearchFilter,
	inetDomainCertMap,
	domainUidSeparator,
	inetCanonicalDomainName

## from iMS
objectclass inetDomainOrg
        allows
                domOrgMaxUsers,
                domOrgNumUsers

## from iMS 
objectclass inetDomainAlias
        superior alias
        requires
                dc

# From iMS
objectclass inetLocalMailRecipient
  allows
     mail,
     mailAlternateAddress,
     mailHost,
     mailRoutingAddress

# From SIMS, iMS
objectclass inetMailGroup
        oid 1.3.6.1.4.1.42.2.27.2.2.2
        allows
		inetMailGroupVersion,
                errorsTo,
                joinable,
                moderator,
                multiLineDescription,
                requestsTo,
                seeAlso,
                suppressNoEmailError,
                userPassword,
                authorizedDomain,
                authorizedSubmitter,
                expandable,
                mailDeliveryFile,
                rfc822MailMember,
                unauthorizedDomain,
                unauthorizedSubmitter,
                membershipFilter,
                dataSource,
                inetMailGroupStatus,
                mailDeliveryOption,
                mailProgramDeliveryInfo,
                mgrpErrorsTo,
                mgrpAddHeader,
                mgrpRemoveHeader,
                mgrpModerator,
                mgrpRequestTo,
                mgrpAuthPassword,
                mgrpAllowedDomain,
                mgrpDisallowedDomain,
                mgrpAllowedBroadcaster,
                mgrpDisallowedBroadcaster,
                mailDeliveryFileURL,
                mgrpRFC822MailMember,
                mgrpDeliverTo,
                mgrpBroadcasterPolicy,
                mgrpMsgMaxsize,
                mgrpMsgRejectAction,
                mgrpMsgRejectText,
                mgrpNoDuplicateChecks,
                preferredLanguage,
                mailEquivalentAddress,
                mailMsgMaxBlocks,
                mailConversionTag,
                mailDeferProcessing,
                mgrpMsgPrefixText,
                mgrpMsgSuffixText
##
# From iMS
objectclass inetMailGroupManagement
        allows
                mgmanAllowSubscribe,
                mgmanDenySubscribe,
                mgmanHidden,
                mgmanJoinability,
                mgmanVisibility,
                mgmanMemberVisibility,
                mgmanIntroText,
                mgmanGoodbyeText,
                multiLineDescription

# From SIMS
objectclass inetMailRouting
        oid 1.3.6.1.4.1.42.2.27.2.2.1
        requires
                mail,
                mailHost
        allows
                rfc822MailAlias

# From SIMS, iMS
objectclass inetMailUser
        allows
                inetMailUserVersion,
		dataSource,
                mailAutoReplyTimeout,
                mailAutoReplySubject,
                mailAutoReplyText,
                mailAutoReplyTextInternal,
                mailDeliveryOption,
                mailProgramDeliveryInfo,
                mailMsgQuota,
                mailQuota,
                mailForwardingAddress,
                mailMessageStore,
                mailAutoReplyStartDate,
                mailAutoReplyExpirationDate,
                mailDeliveryFile,
                mailFolderMap,
                userDefinedAttribute1,
                userDefinedAttribute2,
                userDefinedAttribute3,
                userDefinedAttribute4,
                mailAutoReplyMode,
                mailSieveRuleSource,
                mailSMTPSubmitChannel,
                nswmExtendedUserPrefs,
                mailAllowedServiceAccess,
		cn,
                mailUserStatus,
                mailEquivalentAddress,
                mailMsgMaxBlocks,
                mailConversionTag,
                mailDeferProcessing,
                mailAntiUBEService

# From SIMS, iMS
objectclass inetManagedGroup
        superior top
        requires
                cn
        allows
                billableUser,
                deletionPolicy,
                groupStatus,
                inetAuthorizedServices,
                maxGroupUsers,
                maxGroupQuota,
                classOfService,
                description,
                owner,
                mnggrpDeletionPolicy,
                mnggrpAdditionPolicy,
                mnggrpBillableUser,
                mnggrpStatus,
                mnggrpMaxUsers,
                mnggrpCurrentUsers,
                mnggrpMailQuota,
                nsdaModifiableBy,
                mnggrpUserClassOfServices


# From SIMS
objectclass inetService
  allows
     commonname,
     inetPrivateData,
     inetVersion,
     mail,
     userPassword

# From SIMS, iMS
objectclass inetSubscriber
        requires
                uid
        allows
                inetAuthorizedServices,
                inetSubscriberHttpURL,
                inetSubscriberStatus,
                memberOfManagedGroup,
                inetSubscriberAccountId,
                inetSubscriberChallenge,
                inetSubscriberResponse


# From iMS
objectclass inetUser
        allows
                uid,
                inetUserStatus,
                userPassword,
                inetUserHttpURL,
                memberOf

# From iMS
objectclass ipUser
        allows
                pabURI,
                memberOfManagedGroup,
                maxPabEntries,
                inetCOS

# From iMS
objectclass mailDomain
        allows
                mailRoutingHosts,
                mailRoutingSmartHost,
                preferredMailHost,
                preferredMailMessageStore,
                mailAccessProxyReplay,
                mailDomainAllowedServiceAccess,
                mailDomainWelcomeMessage,
                mailDomainDiskQuota,
                mailDomainMsgQuota,
                mailClientAttachmentQuota,
                mailQuota,
                mailAccessProxyPreAuth,
                mailDomainStatus,
                preferredLanguage,
                mailDomainReportAddress,
                mailDomainMsgMaxBlocks,
                mailDomainSieveRuleSource,
                mailDomainConversionTag,
                mailDomainCatchAllAddress,
                mailAntiUBEService


# From NMS
objectClass mailGroup
        oid 2.16.840.1.113730.3.2.4
        requires
                objectClass
        allows
                cn,
                mail,
                mailAlternateAddress,
                mailHost,
                mailRoutingAddress,
                mgrpAddHeader,
                mgrpAllowedBroadcaster,
                mgrpAllowedDomain,
                mgrpApprovePassword,
                mgrpBroadcasterPolicy,
                mgrpDeliverTo,
                mgrpErrorsTo,
                mgrpModerator,
                mgrpMsgMaxSize,
                mgrpMsgRejectAction,
                mgrpMsgRejectText,
                mgrpNoDuplicateChecks,
                mgrpRemoveHeader,
                mgrpRFC822MailMember,
                owner

# From NMS
objectClass mailRecipient
        oid 2.16.840.1.113730.3.2.3
        requires
                objectClass
        allows
                cn,
                mail,
                mailAlternateAddress,
                mailHost,
                mailRoutingAddress,
                mailAccessDomain,
                mailAutoReplyMode,
                mailAutoReplyText,
                mailDeliveryOption,
                mailForwardingAddress,
                mailMessageStore,
                mailProgramDeliveryInfo,
                mailQuota,
                multiLineDescription,
                uid,
                userPassword


# From NMS
objectClass     netscapeMailServer
        oid 2.16.840.1.113730.3.2.24
        requires
                objectClass

# From NMS
objectClass nsMessagingServerUser
        oid 2.16.840.113730.3.2.37
        requires
                objectClass
        allows
                cn,
                mailAccessDomain,
                mailAutoReplyMode,
                mailAutoReplyText,
                mailDeliveryOption,
                mailForwardingAddress,
                mailMessageStore,
                mailProgramDeliveryInfo,
                mailQuota,
                nsmsgDisallowAccess,
                nswmExtendedUserPrefs,
                sieveRuleSource,
                vacationstartdate,
                vacationenddate

# From iMS
objectclass pabPerson
        superior inetOrgPerson
        allows
                un,
                organizationName,
                organizationUnitName,
                co,
                mailAlternateAddress,
                dateOfBirth,
                memberOfPAB,
                memberOfPABGroup,
                nickName,
                calCalURI,
                calFBURL

# From iMS
objectclass pabGroup
        superior top
        requires
                cn
        allows
                un,
                memberOfPAB,
                nickName,
                description

# From iMS
objectclass pab
        superior top
        requires
                cn
        allows
                un,
                description

# From SIMS
objectclass simsDomain
        requires
                simsDomainVersion
        allows
                rfc822Postmaster,
                mailHosts,
                preferredMailHost,
                domainDiskQuota,
                mailQuota,
                maxMailboxes,
                maxEntries,
                maxDistributionLists,
                simsRecursive

# From iMS
objectclass userPresenceProfile
        allows
                vacationStartDate,
                vacationEndDate

# from iMS
objectclass inetMailAdministrator
        allows
                mailAdminRole

# from iMS
objectclass msgVanityDomainUser
        allows
                msgVanityDomain

# definitions for iPlanet Calendar Server 5.0

# Definition: Used to specify a calendar user.
#             Not all attributes are calendar specific and
#             not all attributes are currently used.
objectclass icsCalendarUser
        allows
    cn,
    givenName,
    mail,
    preferredlanguage,
    sn,
    uid,
    userPassword,
                icsAllowedServiceAccess,
                icsCalendar,
                icsDefaultSet,
                icsExtended,
                icsExtendedUserPrefs,
                icsFirstDay,
                icsFreeBusy,
                icsGeo,
                icsPreferredHost,
                icsQuota,
                icsSet,
                icsStatus,
                icsSubscribed,
                icsTimezone


# Definition: Used to specify a resource.
objectclass inetResource
        requires
                cn
        allows
                telephoneNumber,
                facsimileTelephoneNumber,
                mail,
                postalAddress,
    inetCOS,
    inetResourceStatus

# Definition: Used to specify a calendar resource. Must be used in conjunction with inetResource.
#             Not all attributes are currently used.
objectclass icsCalendarResource
        allows
    cn,
                icsAlias,
                icsCalendar,
                icsCapacity,
                icsContact,
                icsExtended,
                icsExtendedResourcePrefs,
                icsGeo,
                icsPreferredHost,
                icsQuota,
                icsStatus,
                icsTimezone

# Definition: Used to specify a calendar domain. Must be used in conjunction 
# with inetDomain.
#             Not currently used.
objectclass icsCalendarDomain
        allows
                icsAllowedServiceAccess,
                icsAllowRights,
                icsAnonymousAllowWrite,
                icsAnonymousCalendar,
                icsAnonymousDefaultSet,
                icsAnonymousLogin,
                icsAnonymousSet,
                icsExtended,
                icsExtendedDomainPrefs,
                icsDefaultAccess,
                icsDomainAllowed,
                icsDomainNotAllowed,
                icsMandatorySubscribed,
                icsMandatoryView,
                icsPreferredHost,
                icsQuota,
                icsRecurrenceBound,
                icsRecurrenceDate,
                icsSessionTimeout,
                icsSourceHtml,
                icsStatus,
                icsTimezone

# Definition: Used to specify a calendar administator. Must be used in 
# conjunction with other objectclasses.
#             Not currently used.
objectclass icsAdministrator
        allows
                icsAdminRole,
                icsExtended,
                icsExtendedGroupPrefs

# Definition: used to create Top LEvel Administrator Account for iDA
#
objectclass nsManagedDeptAdminGroup
        oid 2.16.840.1.113730.3.2.111
        superior top

objectclass inetAdmin
        oid 2.16.840.1.113730.3.2.112
        superior top
        allows
                memberOf,
                adminRole

